%define pypi_name python-mimeparse
%define pypi_oname python-mimeparse


Name:           %{pypi_name}
Version:        0.1.4
Release:        %mkrel 3
Group:          Development/Python
Summary:        Python module for parsing mime-type names

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/p/%{pypi_oname}/%{pypi_oname}-%{version}.tar.gz

BuildArch:      noarch
 
BuildRequires:  pkgconfig(python)
BuildRequires:  pythonegg(2)(setuptools)
Provides:       pythonegg(2)(mimeparse) = %{version}


%description
A module provides basic functions for parsing mime-type names and
matching them against a list of media-ranges.


%package -n python3-mimeparse
Summary:        Python 3 module for parsing mime-type names
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
Provides:       python3-python-mimeparse = %{version}-%{release}
Obsoletes:      python3-python-mimeparse < %{version}-%{release}

%description -n python3-mimeparse
A module provides basic functions for parsing mime-type names
and matching them against a list of media-ranges.


%prep
%setup -q -n %{pypi_oname}-%{version}


%build
%py2_build
%py3_build


%install
%py3_install
%py2_install


%files
%doc README
%{python2_sitelib}/*


%files -n python3-mimeparse
%doc README
%{python3_sitelib}/*


%changelog
* Tue Dec 08 2015 philippem <philippem> 0.1.4-3.mga6
+ Revision: 908940
- clean spec, rename python3 module

* Fri Oct 09 2015 daviddavid <daviddavid> 0.1.4-2.mga6
+ Revision: 888610
- rebuild for python 3.5
- use new python macros
- improve Summary
- add doc file

* Tue Sep 01 2015 fwang <fwang> 0.1.4-1.mga6
+ Revision: 871769
- update file list
- update file list
- 0.1.4

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 739833
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.3-4.mga5
+ Revision: 729071
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-3.mga5
+ Revision: 688151
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 0.1.3-2.mga5
+ Revision: 632640
- fix files list

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Nov 04 2013 neoclust <neoclust> 0.1.3-1.mga4
+ Revision: 549437
- imported package python-mimeparse

